CH_FILL_TO_BOUNDARY(3)

FUNCTION
ch_fill_to_boundary - Write bytes to a channel until a specified boundary.

SYNOPSIS
#include <karma_ch.h>

flag ch_fill_to_boundary

(Channel channel, uaddr size, char fill_value)

DESCRIPTION
This routine will write bytes to a channel until the current write position is aligned with a boundary. channel, ignoring the data.

channel
    The Channel object.

size
    The size to align to.

fill_value
    The value to fill with.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/